extends Node

var _loader : ResourceAsyncLoader


func _ready():
	self._loader = ResourceAsyncLoader.new("res://scene.tscn")


func _process(_delta):
	if self._loader == null:
		self.queue_free()
		return
	
	var result : int = self._loader.poll()
	if result != OK:
		var resource : Resource = self._loader.get_resource()
		self._loader = null
		self.get_parent().add_child(resource.instance())
		
